| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Slots | Public Member Functions | Protected Attributes | List of all members
Tp::BaseDebug Class Reference

`#include </build/telepathy-qt-h4W587/telepathy-qt-0.9.7/TelepathyQt/base-debug.h>`

Inheritance diagram for Tp::BaseDebug:
[legend]

## Public Types

typedef Callback1< DebugMessageList, DBusError * > | GetMessagesCallback

## Public Slots

void | setEnabled (bool enabled)
void | setGetMessagesLimit (int limit)
void | clear ()
void | newDebugMessage (const QString &domain, DebugLevel level, const QString &message)
void | newDebugMessage (double time, const QString &domain, DebugLevel level, const QString &message)
QVariantMap | immutableProperties () const
bool | registerObject (DBusError *error=NULL)

## Public Member Functions

| BaseDebug (const QDBusConnection &dbusConnection=QDBusConnection::sessionBus())
bool | isEnabled () const
int | getMessagesLimit () const
void | setGetMessagesCallback (const GetMessagesCallback &cb)
DebugMessageList | getMessages (DBusError *error) const
Public Member Functions inherited from Tp::DBusService
| DBusService (const QDBusConnection &dbusConnection)
virtual | ~DBusService ()
virtual QVariantMap | immutableProperties () const =0
QDBusConnection | dbusConnection () const
QString | busName () const
QString | objectPath () const
DBusObject * | dbusObject () const
bool | isRegistered () const
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Protected Attributes

Private * | mPriv

## Additional Inherited Members

Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
Protected Member Functions inherited from Tp::DBusService
virtual bool | registerObject (const QString &busName, const QString &objectPath, DBusError *error)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Member Typedef Documentation

## § GetMessagesCallback

typedef Callback1<DebugMessageList, DBusError*> Tp::BaseDebug::GetMessagesCallback

## Constructor & Destructor Documentation

## § BaseDebug()

Tp::BaseDebug::BaseDebug | ( | const QDBusConnection & | dbusConnection = `QDBusConnection::sessionBus()` | ) |

explicit

## Member Function Documentation

## § isEnabled()

bool Tp::BaseDebug::isEnabled | ( |  | ) | const

## § getMessagesLimit()

int Tp::BaseDebug::getMessagesLimit | ( |  | ) | const

## § setGetMessagesCallback()

void Tp::BaseDebug::setGetMessagesCallback | ( | const GetMessagesCallback & | cb | ) |

## § getMessages()

DebugMessageList Tp::BaseDebug::getMessages | ( | Tp::DBusError * | error | ) | const

## § setEnabled

void Tp::BaseDebug::setEnabled | ( | bool | enabled | ) |

slot

## § setGetMessagesLimit

void Tp::BaseDebug::setGetMessagesLimit | ( | int | limit | ) |

slot

## § clear

void Tp::BaseDebug::clear | ( |  | ) |

slot

## § newDebugMessage [1/2]

void Tp::BaseDebug::newDebugMessage | ( | const QString & | domain,
|  | DebugLevel | level,
|  | const QString & | message
| ) |  |

slot

## § newDebugMessage [2/2]

void Tp::BaseDebug::newDebugMessage | ( | double | time,
|  | const QString & | domain,
|  | DebugLevel | level,
|  | const QString & | message
| ) |  |

slot

## § immutableProperties

QVariantMap Tp::BaseDebug::immutableProperties | ( |  | ) | const

slot

## § registerObject

bool Tp::BaseDebug::registerObject | ( | Tp::DBusError * | error = `NULL` | ) |

slot

## Member Data Documentation

## § mPriv

Private* Tp::BaseDebug::mPriv

protected